<ion-content>
  <div class="logo ion-padding"></div>
  <div class="ion-text-center title" padding-vertical>
    Sign Up to Imagerax
  </div>
  <div class="form">
    <form [formGroup]="register_form" (ngSubmit)="onRegister(register_form)" class="ion-padding">
      <div padding>
        <ion-item class="text" lines="none">
          <ion-input
            formControlName="fname"
            placeholder="First Name"
            type="text"
          ></ion-input>
        </ion-item>
        <ion-item class="text" lines="none">
          <ion-input
            formControlName="lname"
            placeholder="Last Name"
            type="text"
          ></ion-input>
        </ion-item>
        <ion-item class="text" lines="none">
          <ion-input
            formControlName="email"
            placeholder="Email"
            type="email"
          ></ion-input>
        </ion-item>
  
        <ion-item class="text" lines="none">
          <ion-select
            formControlName="country"
            interface="action-sheet"
            placeholder="Select a Country"
          >
            <div *ngFor="let c of countries$ | async">
              <ion-select-option [value]="c.id">
                {{ c.country_name }}
              </ion-select-option>
            </div>
          </ion-select>
        </ion-item>
  
        <ion-item class="text" lines="none">
          <ion-input
            formControlName="password"
            [type]="passwordType"
            placeholder="Password"
          ></ion-input>
  
          <button
            *ngIf="!showPass"
            ion-button
            clear
            style="background-color:transparent !important"
            type="button"
            item-right
            (click)="showPassword()"
          >
            <ion-icon
              name="eye"
              style="font-size:25px;"
              color="warning"
            ></ion-icon>
          </button>
  
          <button
            *ngIf="showPass"
            ion-button
            clear
            style="background-color:transparent !important"
            type="button"
            item-right
            (click)="showPassword()"
          >
            <ion-icon
              name="eye-off"
              style="font-size:25px;"
              color="warning"
            ></ion-icon>
          </button>
        </ion-item>
        <ion-item class="text" lines="none">
          <ion-input
            formControlName="confirm_password"
            placeholder="Confirm Password"
            type="password"
          ></ion-input>
        </ion-item>
      </div>
      <div class="login">
        <div class="buttons" padding-horizontal>
          <ion-button
            color="primary"
            expand="block"
            size="medium"
            type="submit"
            shape="round"
            [disabled]="!register_form.valid"
            >Sign up</ion-button
          >
        </div>
      </div>
      <div class="ion-text-center privacy_terms">
        By continuing, you agree to our<br />
        <span class="terms">Terms of Service</span> and
        <span class="privacy">Privacy Policy</span>
      </div>
    </form>
  </div>
</ion-content>
